﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;

namespace XamComboEditorTooltip
{
    public class MainWindowVM : INotifyPropertyChanged
    {
        public MainWindowVM()
        {
            people = new ObservableCollection<Person>();
            jobs = new ObservableCollection<JobType>();

            jobs.Add(new JobType("Dish Washer", "Washes dishes"));
            jobs.Add(new JobType("Cook", "Cooks food for orders"));
            jobs.Add(new JobType("Server", "Takes orders for kitchen"));
            jobs.Add(new JobType("Busser", "Cleans up tables between customers"));

            people.Add(new Person("John", "Carmike", null));
            people.Add(new Person("Susan", "Johnston", null));
            people.Add(new Person("James", "Smith", null));
            people.Add(new Person("Bryan", "Killian", null));
            people.Add(new Person("Stacy", "James", null));
        }


        private ObservableCollection<Person> _people;
        public ObservableCollection<Person> people
        {
            get { return _people; }
            set
            {
                _people = value;
                OnPropertyChanged("people");
            }
        }

        private ObservableCollection<JobType> _jobs;
        public ObservableCollection<JobType> jobs
        {
            get { return _jobs; }
            set
            {
                _jobs = value;
                OnPropertyChanged("jobs");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        // Create the OnPropertyChanged method to raise the event 
        protected void OnPropertyChanged(string name)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null)
            {
                handler(this, new PropertyChangedEventArgs(name));
            }
        }
    }
}
