﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;

namespace XamComboEditorTooltip
{
    public class Person : INotifyPropertyChanged
    {
        private string _firstName;
        public string firstName
        {
            get { return _firstName; }
            set
            {
                _firstName = value;
                OnPropertyChanged("firstName");
            }
        }

        private string _lastName;
        public string lastName
        {
            get { return _lastName; }
            set
            {
                _lastName = value;
                OnPropertyChanged("lastName");
            }
        }

        private JobType _jobType;
        public JobType jobType
        {
            get { return _jobType; }
            set
            {
                _jobType = value;
                OnPropertyChanged("jobType");
            }
        }

        public Person(string firstName, string lastName, JobType jobType)
        {
            this.firstName = firstName;
            this.lastName = lastName;
            this.jobType = jobType;
        }

        public event PropertyChangedEventHandler PropertyChanged;

        // Create the OnPropertyChanged method to raise the event 
        protected void OnPropertyChanged(string name)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null)
            {
                handler(this, new PropertyChangedEventArgs(name));
            }
        }
    }
}
